#pragma once

#include "Entities/Entity.h"
#include "Entities/EntityView.h"
#include "utility.h"
#include <Entities/EntityMemoryPool.h>
#include <array>

class EntityManager
{
public:
	void update();
private:
	EntityView getEntiites(EntityTag);

	inline Entity player();
private:  
	Entity m_player{0};
	std::array<u16, tagCount> m_numEntitiesByTag{};
	u16 m_numEntities{};
};
